Skip to main content
POST
/
dependencies
/
analyze
Analyze package manifest
curl --request POST \
  --url https://apigcp.trynia.ai/v2/dependencies/analyze \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "manifest_content": "<string>",
  "filename": "<string>"
}
'
import requests

url = "https://apigcp.trynia.ai/v2/dependencies/analyze"

payload = {
"manifest_content": "<string>",
"filename": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({manifest_content: '<string>', filename: '<string>'})
};

fetch('https://apigcp.trynia.ai/v2/dependencies/analyze', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "manifest_type": "<string>",
  "total_dependencies": 123,
  "dependencies": [
    {
      "name": "<string>",
      "version": "<string>",
      "registry": "<string>",
      "is_dev": true
    }
  ],
  "mappings": [
    {
      "name": "<string>",
      "registry": "<string>",
      "docs_url": "<string>",
      "mapping_source": "<string>",
      "confidence": 123
    }
  ],
  "unmapped_count": 123,
  "unmapped_packages": [
    "<string>"
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Body

application/json
manifest_content
string
required

Raw content of the manifest file

manifest_type
enum<string> | null

Manifest type. Auto-detected if not provided.

Available options:
package.json,
requirements.txt,
pyproject.toml,
Cargo.toml,
go.mod,
Gemfile
filename
string | null

Original filename for type detection

Response

Successful Response

manifest_type
string
required
total_dependencies
integer
required
dependencies
DependencyItem · object[]
required
mappings
MappingItem · object[]
required
unmapped_count
integer
required
unmapped_packages
string[]
required